#
# spec file for package libgnomecups
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libgnomecups
Version:        0.2.3
Release:        142.3
Summary:        GNOME CUPS Library
License:        LGPL-2.0
Group:          System/GUI/GNOME
Url:            http://www.gnome.org/
Source:         %{name}-%{version}.tar.gz
Source99:       baselibs.conf
# PATCH-FIX-UPSTREAM libgnomecups-callback-fix.patch
Patch0:         libgnomecups-callback-fix.patch
# PATCH-FIX-UPSTREAM libgnomecups-lpoptions.patch
Patch1:         libgnomecups-lpoptions.patch
# PATCH-FEATURE-OPENSUSE libgnomecups-ignore-default-ipp-warning.patch
Patch2:         libgnomecups-ignore-default-ipp-warning.patch
# PATCH-FIX-UPSTREAM libgnomecups-glib.patch bgo#664930 dimstar@opensuse.org -- Fix build with glib 2.31: only glib.h can be included.
Patch3:         libgnomecups-glib.patch
# PATCH-FIX-UPSTREAM libgnomecups-buildfixes.patch dimstar@opensuse.org -- use g_error_new_literal to avoid explotability of literal strings.
Patch4:         libgnomecups-buildfixes.patch
BuildRequires:  cups-devel
BuildRequires:  fdupes
BuildRequires:  gnome-common
BuildRequires:  intltool
BuildRequires:  translation-update-upstream
BuildRequires:  zlib-devel
BuildRequires:  pkgconfig(glib-2.0)
# bug437293
%ifarch ppc64
Obsoletes:      libgnomecups-64bit
%endif
Recommends:     %{name}-lang = %{version}
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A gobject (GLib) wrapper for IPP printer management, which is used by
CUPS.  Mainly used by the GNOME printing system.

%package devel
Summary:        GNOME CUPS Library
Group:          System/GUI/GNOME
Requires:       %{name} = %{version}
Requires:       cups-devel
Requires:       zlib-devel
Requires:       pkgconfig(glib-2.0)
# bug437293
%ifarch ppc64
Obsoletes:      libgnomecups-devel-64bit
%endif
#

%description devel
A gobject (GLib) wrapper for IPP printer management, which is used by
CUPS.  Mainly used by the GNOME printing system.

%lang_package
%prep
%setup -q
translation-update-upstream
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
autoreconf -f -i
CFLAGS="%{optflags} -D_CUPS_IPP_PRIVATE_H_ -Werror=format-security"
%configure --with-pic\
	--disable-static
make %{?_smp_mflags}

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la
# Change sr@Latn to sr@latin
mv %{buildroot}%{_datadir}/locale/sr@Latn %{buildroot}%{_datadir}/locale/sr@latin
%find_lang %{name}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr (-, root, root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS
%{_libdir}/*.so.*

%files lang -f %{name}.lang

%files devel
%defattr (-, root, root)
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*

%changelog
* Thu Feb 27 2014 fcrozat@suse.com
- Fix build with latest cups version and build with
  - Werror=format-security (Fedora)
* Sun Mar 24 2013 dimstar@opensuse.org
- Add libgnomecups-buildfixes.patch: Use g_error_new_literal
  instead of g_error_new, which does not like non-literal strings
  as format identifiers.
* Thu Mar 21 2013 cfarrell@suse.com
- license update: LGPL-2.0
  No evidence of GPL code
* Fri Mar  1 2013 dimstar@opensuse.org
- Spec-cleanup using format_spec_file service.
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Sun Nov 27 2011 dimstar@opensuse.org
- Add libgnomecups-glib.patch: Only glib.h can be #include'd.
* Tue Aug 31 2010 aj@suse.de
- Recommend instead of require lang package since it's not mandatory.
* Fri Dec 18 2009 jengelh@medozas.de
- Add baselibs.conf as a source
* Mon Feb 16 2009 sbrabec@suse.cz
- Added support for translation-update-upstream (FATE#301344).
* Sat Jan 31 2009 vuntz@novell.com
- Use sr@latin instead of sr@Latn.
* Tue Jan 27 2009 crrodriguez@suse.de
- remove "la" files [BNC#357465]
* Wed Jan  7 2009 olh@suse.de
- obsolete old -XXbit packages (bnc#437293)
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Tue Apr  1 2008 crivera@suse.de
- Update the source tarball with translations from upstream.
* Mon Oct 22 2007 crivera@suse.de
- Update the source tarball and our patch set to libgnomecups-0.2.3
* Tue Sep 18 2007 crivera@suse.de
- Add a one line patch to ensure that libgnomecups looks for the
  correct user lpoptions file.
* Tue Aug  7 2007 maw@suse.de
- Use %%fdupes
- Split off a -lang subpackage
- s#%%run_ldconfig#/sbin/ldconfig/ in %%post and %%postun.
* Fri Aug  3 2007 crivera@suse.de
- Add libgnomecups-callback-fix.patch to make sure we set the
  cups authentication callback for all threads.  Without this
  the UI will hang because the default callback blocks on standard
  input.
* Thu Mar 29 2007 aj@suse.de
- Add zlib-devel to BuildRequires.
* Tue Feb 13 2007 sbrabec@suse.cz
- Do not build unusable static libraries (#238552#c17).
* Fri Jan 19 2007 sbrabec@suse.cz
- Build correctly in older products.
* Mon Jan  8 2007 sbrabec@suse.cz
- Spec file cleanup.
* Mon Jan  8 2007 ro@suse.de
- GNOME moved to /usr
* Mon Nov 20 2006 fejj@suse.de
- Added cups-1.2.patch to fix bug #213927
* Mon Feb 27 2006 fejj@suse.de
- Fixed a type-o I had made in the spec file previously.
* Thu Feb 23 2006 fejj@suse.de
- Added only-once.patch to the build which is a partial fix for bug #146845 (the other half of the fix is in gnome-cups-manager package).
* Mon Jan 30 2006 aj@suse.de
- Fix requires for devel subpackage.
- Remove unneded BuildRequires.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Oct  7 2005 gekker@suse.de
- Update to version 0.2.2
- Fix crashes in print dialogs (#118797)
* Mon Sep 12 2005 ro@suse.de
- fix requires of devel subpackage
* Tue Sep  6 2005 gekker@suse.de
- Update to version 0.2.1 (GNOME 2.12)
* Tue Mar  8 2005 jody@suse.de
- upstream release of 0.2.0 for gnome 2.10
- patch crash when renaming
- merge redhat optimization patch to do async ppd lookup
* Tue Dec 14 2004 jody@suse.de
- upstream release of 0.1.14 patches some renaming issues
* Mon Oct 25 2004 ro@suse.de
- locale rename: no -> nb
* Mon Oct  4 2004 jody@suse.de
- Sync with upstream 0.1.12 release
- Updated translations
- more lenient with spaces in urls
* Mon Sep 27 2004 ro@suse.de
- remove libgnomeprint* from neededforbuild, kill builddep cycle
* Mon Sep 13 2004 jody@suse.de
- Sync with upstream 0.1.12 release
- Add a SuSE specific patch to disable the direct use of hostnames
  which in some circumstances can trigger an infinite loop in cups
- Add more thread safety
* Tue Aug 24 2004 jody@suse.de
- Sync with upstream 0.1.11 release
- More api additions and convenience routines
- No QA visibile changes
* Wed Aug 18 2004 jody@suse.de
- Sync with upstream 0.1.10 release
- Some async extensions and api changes
- No QA visibile changes
* Fri Jul 16 2004 jody@suse.de
- Test release of 0.1.9 with the browsing and simplfication
* Thu May 13 2004 sbrabec@suse.cz
- New SuSE package, version 0.1.6.
